Bug 376101 - Search (advanced) query results don't show the search parameters
Summary: Search (advanced) query results don't show the search parameters
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.18
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-11 16:13 UTC by Philip Ashmore
Modified: 2013-06-24 02:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 17:41:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Ashmore 2007-11-11 16:13:25 UTC
Description of problem:
When doing multiple queries in different 'tabbed' web pages, it's too easy to
lose track of what query generated what list of results.

Version-Release number of selected component (if applicable):
Bugzilla Version 2.18-rh

How reproducible:
Always

Steps to Reproduce:
1. Enter a query in the bugzilla web query page (advanced)
2. See the query results list page
3.
  
Actual results:
You need to read the web page URL to figure out what the original query was.

Expected results:
There should be some indication of the original query on the top of the web page

Additional info:

Comment 1 David Lawrence 2007-11-11 17:41:29 UTC
At the bottom of the query results is a link called 'Edit Query'. If you click
on that link it will take you back to a query page with your previous search
criteria entered.

Comment 2 Philip Ashmore 2007-11-12 12:03:31 UTC
Maybe this use-case will clarify matters:
1. I'm looking for a bug relating to several components.
2. I enter queries in several browser tabs in Firefox, each containing the
results of a different query.
3. I'm also entering a bug.

It's too easy to forget which tab contains which query results unless the query
was displayed at the top of the search results.
I'm not talking about the full SQL query - it would be too general, just the
equivalent query containing just those fields I filled in.

The less convenient alternative would be to check the URL of the browser tab to
see what I entered.

The even less convenient alternative - the one that you're recommending - is
that I click the "edit search" button that takes me to the page where I entered
the query and wait for the JavaScript to complete, and after refreshing my
memory about the query, perform it again, for each browser tab?

I think that's called obfuscation.


Note You need to log in before you can comment on or make changes to this bug.